# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(DBD/SQLite.pm) perl(Datahub/Factory.pm) perl(DateTime/Locale.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Parser/MGC.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Throwable/Error.pm) perl(WebService/Rackspace/CloudFiles.pm)
# END SourceDeps(oneline)
%define module_name Datahub-Factory-PIDS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.1
Release: alt1
Summary: Insert PIDS from an external source
Group: Development/Perl
License: perl
URL: https://github.com/thedatahub/Datahub-Factory-PIDS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PI/PIETERDP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The module uses the Catmandu manpage to create a SQLite database from a CSV containing an export
of the Resolver that can be used in Catmandu fixes
to insert PIDS (Persistent Identifiers).

The CSV's are stored on a protected Rackspace cloud files instance.

It has absolutely no use outside of the Datahub use case.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

